<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" />

    <xsl:template match="/">
        <xsl:choose>
            <xsl:when test="/Transformation/@version = '1.1'">
                <xsl:apply-templates select="@*|node()"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy-of select="." />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="FieldsFilter" />

    <xsl:template match="Rule[FieldsFilter]/Rule">
        <xsl:variable name="id" select="@id" />
        <xsl:variable name="Value">
            <xsl:value-of select="../FieldsFilter/FieldFilter[Key = $id]/Value"/>
        </xsl:variable>
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
            <xsl:if test="$Value != ''">
                <FieldFilter type="Converter2010.GuidFieldFilter">
                    <xsl:attribute name="value">
                        <xsl:value-of select="$Value"/>
                    </xsl:attribute>
                </FieldFilter>
            </xsl:if>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="@version[parent::Transformation]">
        <xsl:attribute name="version">1.02</xsl:attribute>
    </xsl:template>


    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
