<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:utils="http://www.ctm.ru/Converter/Utils">
    <xsl:output method="xml" />

    <xsl:template match="/">
        <xsl:choose>
            <xsl:when test="/Transformation/@version = '1.02'">
                <xsl:apply-templates select="@*|node()"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy-of select="." />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="Rule[Rule]">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <xsl:apply-templates select="DataSource"></xsl:apply-templates>
            <Rule name=" " independed="False">
                <xsl:attribute name="id">
                    <xsl:value-of select="utils:GenerateGuid()"/>
                </xsl:attribute>
                <DataSource id="rowNumber">
                    <xsl:apply-templates select="DataSource/Document"></xsl:apply-templates>
                </DataSource>
            </Rule>
            <xsl:apply-templates select="*[preceding-sibling::DataSource]"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="@version[parent::Transformation]">
        <xsl:attribute name="version">1.03</xsl:attribute>
    </xsl:template>


    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
